Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.custom.graphicimageajax
Class GraphicImageAjaxTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.apache.myfaces.taglib.UIComponentTagBase
              org.apache.myfaces.taglib.html.HtmlComponentTagBase
                  org.apache.myfaces.taglib.html.HtmlGraphicImageTagBase
                      org.apache.myfaces.taglib.html.ext.HtmlGraphicImageTag
                          org.apache.myfaces.custom.graphicimageajax.GraphicImageAjaxTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

public class GraphicImageAjaxTag
extends org.apache.myfaces.taglib.html.ext.HtmlGraphicImageTag

Version:
  $Revision: 292080 $ $Date: $
Author:
  Sylvain Vieujot

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`GraphicImageAjaxTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setGetBytesMethod(java.lang.String getBytesMethodProperty)`
`protected void` | `setGetBytesMethodProperty(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String getBytesMethod)`
`void` | `setGetContentTypeMethod(java.lang.String getContentTypeMethodProperty)`
`protected void` | `setGetContentTypeMethodProperty(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String getContentTypeMethod)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`

Methods inherited from class org.apache.myfaces.taglib.html.ext.HtmlGraphicImageTag
`setAlign, setBorder, setEnabledOnUserRole, setHspace, setVisibleOnUserRole, setVspace`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlGraphicImageTagBase
`setAlt, setHeight, setIsmap, setLongdesc, setOnblur, setOnchange, setOnfocus, setUrl, setUsemap, setWidth`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.apache.myfaces.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setImageLocation, setIntegerProperty, setJavascriptLocation, setStringProperty, setStyleLocation, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphicImageAjaxTag

    public GraphicImageAjaxTag()

Method Detail

### getComponentType

    public java.lang.String getComponentType()

### getRendererType

    public java.lang.String getRendererType()

### release

    public void release()

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

### setGetContentTypeMethodProperty

    protected void setGetContentTypeMethodProperty(javax.faces.context.FacesContext context,
                                                   javax.faces.component.UIComponent component,
                                                   java.lang.String getContentTypeMethod)

### setGetBytesMethodProperty

    protected void setGetBytesMethodProperty(javax.faces.context.FacesContext context,
                                             javax.faces.component.UIComponent component,
                                             java.lang.String getBytesMethod)

### setGetContentTypeMethod

    public void setGetContentTypeMethod(java.lang.String getContentTypeMethodProperty)

### setGetBytesMethod

    public void setGetBytesMethod(java.lang.String getBytesMethodProperty)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD